Product Repository APIProduct
Delete products in a shop
Security groups:Local Product Creators
Deletes one or more local products from this shop.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
shopId*integer
The shop ID.
Format
int64Range
1 <= valueRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/shops/5632/products/local" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ] }'{
"productIds": [
"string"
]
}{
"code": "BadRequest",
"message": "Bad request.",
"status": "BAD_REQUEST"
}{
"code": "Unauthorized",
"message": "Not authorized.",
"status": "UNAUTHORIZED"
}{
"code": "NotFound",
"message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
"status": "NOT_FOUND"
}